set CMSDK_SHUB_BASE           0x5000d000
set CMSDK_SHUB_SETUP0 [expr $CMSDK_SHUB_BASE + 0x0]
set CMSDK_SHUB_SETUP1 [expr $CMSDK_SHUB_BASE + 0x4]
set CMSDK_SHUB_PORT0_SETUP [expr $CMSDK_SHUB_BASE + 0x8]
set CMSDK_SHUB_PORT0_SENSOR0_SETUP [expr $CMSDK_SHUB_BASE + 0xc]
set CMSDK_SHUB_PORT0_SENSOR1_SETUP [expr $CMSDK_SHUB_BASE + 0x10]
set CMSDK_SHUB_PORT0_SENSOR2_SETUP [expr $CMSDK_SHUB_BASE + 0x14]
set CMSDK_SHUB_PORT0_SENSOR3_SETUP [expr $CMSDK_SHUB_BASE + 0x18]
set CMSDK_SHUB_PORT0_SENSOR4_SETUP [expr $CMSDK_SHUB_BASE + 0x1c]
set CMSDK_SHUB_PORT0_SENSOR5_SETUP [expr $CMSDK_SHUB_BASE + 0x20]
set CMSDK_SHUB_PORT0_SENSOR6_SETUP [expr $CMSDK_SHUB_BASE + 0x24]
set CMSDK_SHUB_PORT0_SENSOR7_SETUP [expr $CMSDK_SHUB_BASE + 0x28]
set CMSDK_SHUB_PORT0_SPI_ENG0_CTRL [expr $CMSDK_SHUB_BASE + 0x2c]
set CMSDK_SHUB_PORT0_I2C_IDW_0 [expr $CMSDK_SHUB_BASE + 0x30]
set CMSDK_SHUB_PORT0_I2C_IDW_1 [expr $CMSDK_SHUB_BASE + 0x34]
set CMSDK_SHUB_PORT0_I2C_IDW_2 [expr $CMSDK_SHUB_BASE + 0x38]
set CMSDK_SHUB_PORT0_I2C_IDW_3 [expr $CMSDK_SHUB_BASE + 0x3c]
set CMSDK_SHUB_PORT0_I2C_IDW_4 [expr $CMSDK_SHUB_BASE + 0x40]
set CMSDK_SHUB_PORT0_I2C_IDW_5 [expr $CMSDK_SHUB_BASE + 0x44]
set CMSDK_SHUB_PORT0_I2C_IDW_6 [expr $CMSDK_SHUB_BASE + 0x48]
set CMSDK_SHUB_PORT0_I2C_IDW_7 [expr $CMSDK_SHUB_BASE + 0x4c]
set CMSDK_SHUB_PORT0_I2C_ADDR_0 [expr $CMSDK_SHUB_BASE + 0x50]
set CMSDK_SHUB_PORT0_I2C_ADDR_1 [expr $CMSDK_SHUB_BASE + 0x54]
set CMSDK_SHUB_PORT0_I2C_ADDR_2 [expr $CMSDK_SHUB_BASE + 0x58]
set CMSDK_SHUB_PORT0_I2C_ADDR_3 [expr $CMSDK_SHUB_BASE + 0x5c]
set CMSDK_SHUB_PORT0_I2C_ADDR_4 [expr $CMSDK_SHUB_BASE + 0x60]
set CMSDK_SHUB_PORT0_I2C_ADDR_5 [expr $CMSDK_SHUB_BASE + 0x64]
set CMSDK_SHUB_PORT0_I2C_ADDR_6 [expr $CMSDK_SHUB_BASE + 0x68]
set CMSDK_SHUB_PORT0_I2C_ADDR_7 [expr $CMSDK_SHUB_BASE + 0x6c]
set CMSDK_SHUB_PORT0_I2C_IDR_0 [expr $CMSDK_SHUB_BASE + 0x70]
set CMSDK_SHUB_PORT0_I2C_IDR_1 [expr $CMSDK_SHUB_BASE + 0x74]
set CMSDK_SHUB_PORT0_I2C_IDR_2 [expr $CMSDK_SHUB_BASE + 0x78]
set CMSDK_SHUB_PORT0_I2C_IDR_3 [expr $CMSDK_SHUB_BASE + 0x7c]
set CMSDK_SHUB_PORT0_I2C_IDR_4 [expr $CMSDK_SHUB_BASE + 0x80]
set CMSDK_SHUB_PORT0_I2C_IDR_5 [expr $CMSDK_SHUB_BASE + 0x84]
set CMSDK_SHUB_PORT0_I2C_IDR_6 [expr $CMSDK_SHUB_BASE + 0x88]
set CMSDK_SHUB_PORT0_I2C_IDR_7 [expr $CMSDK_SHUB_BASE + 0x8c]
set CMSDK_SHUB_PORT0_I2C_DAT_CTRL [expr $CMSDK_SHUB_BASE + 0x90]
set CMSDK_SHUB_PORT0_I2C_DAT_LAST_CTRL [expr $CMSDK_SHUB_BASE + 0x94]
set CMSDK_SHUB_PORT0_ALM0_QUAN_CTRL [expr $CMSDK_SHUB_BASE + 0x98]
set CMSDK_SHUB_PORT0_ALM1_QUAN_CTRL [expr $CMSDK_SHUB_BASE + 0x9c]
set CMSDK_SHUB_PORT0_ALM0_TRIG_CTRL [expr $CMSDK_SHUB_BASE + 0xa0]
set CMSDK_SHUB_PORT0_ALM1_TRIG_CTRL [expr $CMSDK_SHUB_BASE + 0xa4]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MAX_0 [expr $CMSDK_SHUB_BASE + 0xa8]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MAX_1 [expr $CMSDK_SHUB_BASE + 0xac]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MAX_2 [expr $CMSDK_SHUB_BASE + 0xb0]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MIN_0 [expr $CMSDK_SHUB_BASE + 0xb4]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MIN_1 [expr $CMSDK_SHUB_BASE + 0xb8]
set CMSDK_SHUB_PORT0_ALM0_THRHLD_MIN_2 [expr $CMSDK_SHUB_BASE + 0xbc]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MAX_0 [expr $CMSDK_SHUB_BASE + 0xc0]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MAX_1 [expr $CMSDK_SHUB_BASE + 0xc4]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MAX_2 [expr $CMSDK_SHUB_BASE + 0xc8]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MIN_0 [expr $CMSDK_SHUB_BASE + 0xcc]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MIN_1 [expr $CMSDK_SHUB_BASE + 0xd0]
set CMSDK_SHUB_PORT0_ALM1_THRHLD_MIN_2 [expr $CMSDK_SHUB_BASE + 0xd4]
set CMSDK_SHUB_PORT0_STATUS [expr $CMSDK_SHUB_BASE + 0xd8]
set CMSDK_SHUB_PORT1_SETUP [expr $CMSDK_SHUB_BASE + 0xdc]
set CMSDK_SHUB_PORT1_SENSOR0_SETUP [expr $CMSDK_SHUB_BASE + 0xe0]
set CMSDK_SHUB_PORT1_SPI_ENG0_CTRL [expr $CMSDK_SHUB_BASE + 0xe4]
set CMSDK_SHUB_PORT1_I2C_IDW_0 [expr $CMSDK_SHUB_BASE + 0xe8]
set CMSDK_SHUB_PORT1_I2C_ADDR_0 [expr $CMSDK_SHUB_BASE + 0xec]
set CMSDK_SHUB_PORT1_I2C_IDR_0 [expr $CMSDK_SHUB_BASE + 0xf0]
set CMSDK_SHUB_PORT1_I2C_DAT_CTRL [expr $CMSDK_SHUB_BASE + 0xf4]
set CMSDK_SHUB_PORT1_I2C_DAT_LAST_CTRL [expr $CMSDK_SHUB_BASE + 0xf8]
set CMSDK_SHUB_PORT1_ALM0_QUAN_CTRL [expr $CMSDK_SHUB_BASE + 0xfc]
set CMSDK_SHUB_PORT1_ALM0_TRIG_CTRL [expr $CMSDK_SHUB_BASE + 0x100]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MAX_0 [expr $CMSDK_SHUB_BASE + 0x104]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MAX_1 [expr $CMSDK_SHUB_BASE + 0x108]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MAX_2 [expr $CMSDK_SHUB_BASE + 0x10c]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MIN_0 [expr $CMSDK_SHUB_BASE + 0x110]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MIN_1 [expr $CMSDK_SHUB_BASE + 0x114]
set CMSDK_SHUB_PORT1_ALM0_THRHLD_MIN_2 [expr $CMSDK_SHUB_BASE + 0x118]
set CMSDK_SHUB_PORT1_STATUS [expr $CMSDK_SHUB_BASE + 0x11c]
set CMSDK_SHUB_FLASH_CTRL0 [expr $CMSDK_SHUB_BASE + 0x120]
set CMSDK_SHUB_FLASH_CTRL1 [expr $CMSDK_SHUB_BASE + 0x124]
set CMSDK_SHUB_FLASH_CTRL2 [expr $CMSDK_SHUB_BASE + 0x128]
set CMSDK_SHUB_FLASH_CTRL3 [expr $CMSDK_SHUB_BASE + 0x12c]
set CMSDK_SHUB_FLASH_CTRL4 [expr $CMSDK_SHUB_BASE + 0x130]
set CMSDK_SHUB_FLASH_STATUS0 [expr $CMSDK_SHUB_BASE + 0x134]
set CMSDK_SHUB_FLASH_STATUS1 [expr $CMSDK_SHUB_BASE + 0x138]
set CMSDK_SHUB_SHUB_STATUS0 [expr $CMSDK_SHUB_BASE + 0x13c]
set CMSDK_SHUB_ID [expr $CMSDK_SHUB_BASE + 0xffc]
